# vim: set ft=spec: -*- rpm-spec -*-

%def_disable static

Name: libupnp
Version: 1.6.6
Release: alt2

Summary: Linux SDK for UPnP Devices
Group: System/Libraries
License: BSD
Url: http://upnp.sourceforge.net/
Packager: Sir Rsorn <raorn@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-alt1.qa1.patch

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API
and open source code for building control points, devices, and bridges that
are compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

UPnP is an architecture that enables discovery, event notification, and
control of devices on a network, independent of operating system, programming
language, or physical network connection. UPnP is based on common Internet
standards and specifications such as TCP/IP, HTTP, and XML. For detailed
information about UPnP, including the UPnP Device Architecture Specification,
please visit the UPnP Forum web site.

%package devel
Summary: Development libraries and header files for libupnp
Group: Development/C
Requires: %name = %version-%release

%description devel
The libupnp-devel package contains libraries and header files needed
to develop applications using libupnp.

%package devel-static
Summary: Development static library for libupnp
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libupnp library. Install
libupnp-devel-static if you want to develop applications statically linked
with libupnp.

%prep
%setup
%patch -p1

%build
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc ChangeLog LICENSE NEWS README TODO
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Oct 28 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.6.6-alt2
- Rebuilt for soname set-versions

* Fri Nov 13 2009 Repocop Q. A. Robot <repocop@altlinux.org> 1.6.6-alt1.qa1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for libupnp
  * postun_ldconfig for libupnp
  * postclean-05-filetriggers for spec file

* Mon Jul 14 2008 Sir Raorn <raorn@altlinux.ru> 1.6.6-alt1
- [1.6.6]

* Tue May 30 2006 Andrei Bulava <abulava@altlinux.ru> 1.3.1-alt1
- initial build for ALT Linux
